Bug 16979 - ключ --init не описан в man-е
: ключ --init не описан в man-е
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-01 22:51 by
Modified: 2012-03-16 13:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-01 22:51:05
учился пользоваться hasher поглядывая на
http://www.altlinux.org/Руководство_по_hasher

кажется что hsh --init не описано ни в man hsh ни в hsh --help
------- Comment #1 From 2008-09-01 23:04:09 -------
Фича getopt(1) - --initroot-only можно сократить минимум до --ini. 
--install-langs до --ins и так далее пока можно однозначно идентифицировать
опцию.
------- Comment #2 From 2008-09-01 23:09:27 -------
Руководство исправил.
------- Comment #3 From 2008-09-01 23:24:50 -------
resolution -> fixed, ибо бага была, хоть и не в hasher.
------- Comment #4 From 2008-09-01 23:36:34 -------
мда. не знал я про такую фичу. но хорошо, что хоть какой-то полезный выхлоп и
из этого получился.
------- Comment #5 From 2008-09-02 00:23:33 -------
(In reply to comment #3)
> resolution -> fixed, ибо бага была, хоть и не в hasher.

Я специально сокращал до --init в документации.
------- Comment #6 From 2008-09-02 10:59:22 -------
Сокращение только увеличивает путаницу. В гайде я оставил только то, что есть в
мане и в --help.

Если читающий знает/узнает о такой фиче, как сокращение опций, то он
самостоятельно сможет понять, что можно написать --init.